このスレッドは解決済です(未解決に戻す場合はこちら)
<<戻る

OPEN SSH rpmbuildエラー このメッセージに返信する
日時: 2012/01/21 20:29
名前: もこ
URL:
いつもサイトを参考に構築の勉強をさせていただいております。

現在CentOS6.2にてサーバーを構築しているのですが、OPEN SSHのインストールにて
最新バージョンのopenssh-5.9p1を用いてインストールをしようとし、設定後リビルドしようとしたところ

# rpmbuild -tb --clean openssh-5.9p1.tar.gz
警告: line 92: buildprereq is deprecated: BuildPreReq: glibc-devel, pam
エラー: パッケージは既に存在しています: %package askpass

とのエラーがでて対処できずにいます。

askpassがすでに存在するためにエラーが出ると思い、削除を試みましたが、インストールされていないとのコメントが返ってきました。
このような場合はどのように対処すればよろしいのでしょうか?
記事編集 編集
Re: OPEN SSH rpmbuildエラー このメッセージに返信する
日時: 2012/01/22 08:15
名前: stranger
URL: http://ja.528p.com/
%define no_x11_askpass 1
%define no_gnome_askpass 1
%define build6x 1
%doc CREDITS ChangeLog INSTALL LICENCE OVERVIEW README* PROTOCOL* TODO

上記の変更のみでうまくrpmbuildできましたけど

--without-zlib-version-check は zlib-1.2.3以上なら必要ない

私の環境
CentOS 6.2
openssh-server-5.3p1-70.el6.i686
openssh-5.3p1-70.el6.i686
openssh-askpass-5.3p1-70.el6.i686
openssh-clients-5.3p1-70.el6.i686

別のクライアントではaskpassを有効にしてbuildしたものを使用
CentOS 6.2
openssh-server-5.9p1-1.C62.i686
openssh-5.9p1-1.C62.i686
openssh-askpass-5.9p1-1.C62.i686
openssh-clients-5.9p1-1.C62.i686
記事編集 編集
Re: OPEN SSH rpmbuildエラー このメッセージに返信する
日時: 2012/01/22 23:55
名前: もこ
URL:
ご返信ありがとうございます。

devel類を片っ端からインストールしなおした上で再度実行しましたところ、何とか出来ましたので、ご報告いたします。
記事編集 編集
件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -